#Module-Specific definitions
%define mod_version 0.4
%define release 1mdk
%define mod_name mod_rpaf
%define mod_conf 19_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk

Summary:	Mod_rpaf is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{mod_name}-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		%{mod_name}-%{mod_version}-register.patch.bz2
License:	Apache License
URL:		http://stderr.net/apache/rpaf/
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
rpaf is for backend Apache servers what mod_proxy_add_forward is
for frontend Apache servers. It does excactly the opposite of
mod_proxy_add_forward written by Ask Bjrn Hansen. It will also
work with mod_proxy in Apache starting with release 1.3.25 and
mod_proxy that is distributed with Apache2 from version 2.0.36.

It changes the remote address of the client visible to other
Apache modules when two conditions are satisfied. First condition
is that the remote client is actually a proxy that is defined in
httpd.conf. Secondly if there is an incoming X-Forwarded-For
header and the proxy is in it's list of known proxies it takes
the last IP from the incoming X-Forwarded-For header and changes
the remote address of the client in the request structure. It also
takes the incoming X-Host header and updates the virtualhost
settings accordingly. For Apache2 mod_proxy it takes the
X-Forwared-Host header and updates the virtualhosts.

%prep

%setup -q -n %{mod_name}-%{mod_version}
%patch0 -p1

%build

%{apxs} -c %{mod_name}-2.0.c 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mv .libs/*.so .libs/%{mod_so}
%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_0.4-1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_0.4-1mdk
- built for apache 2.0.49

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.4-1mdk
- built for apache 2.0.48

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.4-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.4-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.4-1mdk
- cosmetic rebuild for apache v2.0.45 

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_0.4-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.4-6mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.4-5mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.4-4mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.4-3mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Tue Oct 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.4-2mdk
- extra modules needs to be loaded _before_ mod_ssl, mod_php and mod_perl
  in order to show up in the server string...

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_0.4-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)
- sanitize rpm package versioning

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_0.4-2mdk
- rebuilt against new apache v2.0.42

* Fri Sep 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4-1mdk
- initial cooker contrib
